#include <iostream>
using namespace std;
int main ()
{
    int A,B,C,D,E,obem=0,obemE=0,kutii=0;
    cin >> A >> B >> C >> D >> E;
    obem=A*A*A+B*B*B+C*C*C+D*D*D;
    obemE=E*E*E;
    kutii=obem/obemE;
    if (A+B==E || A+C==E || A+D==E || B+D==E || B+C==E || C+D=E)
    {
        if (obem%obemE!=0)
        {
            kutii++;
        }
    }
    cout << kutii << endl;
    return 0;
}